Description

History

#1 - 2011-11-05 17:16 - Matthew Jones
- Category set to d1_libclient_java
- Milestone changed from CCI-0.6.4 to CCI-1.0.0

the libclient_java LocalCache class depends on the Java Cache System (JCS), which uses a predetermined location for its property file to configure
caches. The 'cache.ccf' property file is found at /cache.ccf' on the classpath and is loaded. Need to research whether there is a way to configure
cache.ccf properties to be part of the Settings configuration used in libcleint_java so that cache properties can be overridden by the calling
application. Currently they are essentially fixed in the properties file that ships with the jar.

#2 - 2011-11-15 04:10 - Dave Vieglais

- Position changed from 1 to 314

- Target version set to Sprint-2011.46-Block.6
- Position deleted (22)

- Position set to 1

#3 - 2011-11-28 18:13 - Rob Nahf

there is:
http://commons.apache.org/jcs/fag.html#manual-configuration

#4 - 2011-11-28 18:14 - Rob Nahf
- Assignee set to Rob Nahf

#5 - 2011-11-28 18:30 - Dave Vieglais
- Target version deleted (Sprint-2011.46-Block.6)
- Position set to 1

- Position deleted (307)

#6 - 2012-01-06 03:37 - Dave Vieglais

- Subject changed from refactor LocalCache to use Settings configuration to refactor client LocalCache to use Settings configuration

#7 - 2012-05-17 18:57 - Rob Nahf
- Milestone changed from CCI-1.0.0 to CCI-1.1
http://commons.apache.org/jcs/faq.html#manual-configuration

can be implemented after initial release

#8 - 2012-10-08 17:21 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0
- Milestone changed from CCI-1.1 to None

- Due date set to 2012-10-27

- Start date set to 2012-10-07

- Target version set to Sprint-2012.41-Block.6.1

#9 - 2012-10-24 17:51 - Rob Nahf

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10

#10 - 2012-12-12 19:00 - Rob Nahf

- Target version deleted (Sprint-2012.44-Block.6.2)
- Start date deleted (2012-10-07)

- Due date deleted (2012-11-10)

#11 - 2014-10-01 22:07 - Dave Vieglais
- Target version set to Release Backlog
- Due date set to 2014-10-01
- Start date set to 2014-10-01

#12 - 2015-02-11 20:51 - Rob Nahf
- Project changed from Infrastructure to Java Client
- Category changed from d1_libclient_java to d1_libclient_java

- Target version deleted (Release Backlog)

#13 - 2015-02-11 20:51 - Rob Nahf

- Target version set to CLJ

#14 - 2015-02-11 20:56 - Rob Nahf
- Target version deleted (CLJ)

#15 - 2018-01-17 20:42 - Dave Vieglais

- Status changed from New to Rejected
